## r-cran-multitaper 1.0

=== DESCRIPTION ===
Package: multitaper
Version: 1.0-17
Title: Spectral Analysis Tools using the Multitaper Method
Author: Karim Rahim <karim.rahim@queensu.ca>, Wesley S. Burr <wesleyburr@trentu.ca>
Maintainer: Karim Rahim <karim.rahim@queensu.ca>
Depends: R (>= 3.0), methods
Suggests: psd, fftwtools, slp
Description: Implements multitaper spectral analysis using discrete prolate spheroidal sequences (Slepians) and sine tapers. It includes an adaptive weighted multitaper spectral estimate, a coherence estimate, Thomson's Harmonic F-test, and complex demodulation. The Slepians sequences are generated efficiently using a tridiagonal matrix solution, and jackknifed confidence intervals are available for most estimates. This package is an implementation of the method described in D.J. Thomson (1982) "Spectrum estimation and harmonic analysis" <doi:10.1109/PROC.1982.12433>.
License: GPL (>= 2)
ByteCompile: true
LazyData: true
URL: https://github.com/krahim/multitaper/
NeedsCompilation: yes
Packaged: 2023-07-20 11:37:23 UTC; karim
Repository: CRAN
Date/Publication: 2023-07-20 12:00:02 UTC

## r-cran-multitaper 1.0-17

=== debian/changelog ===
r-cran-multitaper (1.0-17-1) unstable; urgency=medium

  * Initial release.
  * This is a new dependency of r-cran-waveslim. 

 -- Charles Plessy <plessy@debian.org>  Mon, 31 Mar 2025 10:00:53 +0900

=== debian/control ===
Source: r-cran-multitaper
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multitaper
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-multitaper.git
Homepage: https://cran.r-project.org/package=multitaper
Rules-Requires-Root: no

Package: r-cran-multitaper
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Spectral Analysis Tools using the Multitaper Method
 Implements multitaper spectral analysis using discrete prolate
 spheroidal sequences (Slepians) and sine tapers. It includes an adaptive
 weighted multitaper spectral estimate, a coherence estimate, Thomson's
 Harmonic F-test, and complex demodulation. The Slepians sequences are
 generated efficiently using a tridiagonal matrix solution, and
 jackknifed confidence intervals are available for most estimates. This
 package is an implementation of the method described in D.J. Thomson
 (1982) "Spectrum estimation and harmonic analysis"
 <doi:10.1109/PROC.1982.12433>.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# It looks like configure.ac is cruft…
override_dh_autoreconf:

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/multitaper_([-\d.]*)\.tar\.gz
